Gtk2::ColorSelection(3)

NAME
Gtk2::ColorSelection

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::ColorSelection

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gtk2::ColorSelection->new

  unsigned = $colorsel->get_current_alpha

  $colorsel->set_current_alpha ($alpha)

•   $alpha (unsigned)

  color = $colorsel->get_current_color

  $colorsel->set_current_color ($color)

•   $color (Gtk2::Gdk::Color)

  boolean = $colorsel->get_has_opacity_control

  $colorsel->set_has_opacity_control ($has_opacity)

•   $has_opacity (boolean)

  boolean = $colorsel->get_has_palette

  $colorsel->set_has_palette ($has_palette)

•   $has_palette (boolean)

  boolean = $colorsel->is_adjusting

  list = Gtk2::ColorSelection->palette_from_string ($string)

•   $string (string)

Returns a list of Gtk2::Gdk::color's.

  (string) = Gtk::ColorSelection->palette_to_string (...)

•   ... (list) of Gtk2::Gdk::Color's for the palette

Encodes a palette as a string, useful for persistent storage.

  unsigned = $colorsel->get_previous_alpha

  $colorsel->set_previous_alpha ($alpha)

•   $alpha (unsigned)

  color = $colorsel->get_previous_color

  $colorsel->set_previous_color ($color)

•   $color (Gtk2::Gdk::Color)

PROPERTIES

'current-alpha' (Glib::UInt : default 65535 : readable / writable / private)
    The current opacity value (0 fully transparent, 65535 fully opaque)

'current-color' (Gtk2::Gdk::Color : default undef : readable / writable / private)
    The current color

'has-opacity-control' (boolean : default false : readable / writable / private)
    Whether the color selector should allow setting opacity

'has-palette' (boolean : default false : readable / writable / private)
    Whether a palette should be used

SIGNALS

color-changed (Gtk2::ColorSelection)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::VBox

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.